<a name="Angle"></a>

## Angle
Angle 类

**Kind**: global class  

* [Angle](#Angle)
    * _instance_
        * [.rad](#Angle+rad) ⇒ <code>number</code>
        * [.deg](#Angle+deg) ⇒ <code>number</code>
        * [.grad](#Angle+grad) ⇒ <code>number</code>
        * [.turn](#Angle+turn) ⇒ <code>number</code>
        * [.toString()](#Angle+toString) ⇒ <code>string</code>
        * [.toJSON()](#Angle+toJSON) ⇒ <code>string</code>
        * [.valueOf()](#Angle+valueOf) ⇒ <code>number</code>
        * [.clone()](#Angle+clone) ⇒ [<code>Angle</code>](#Angle)
    * _static_
        * [.isAngle(angle)](#Angle.isAngle)
        * [.fromRad(rad)](#Angle.fromRad) ⇒ [<code>Angle</code>](#Angle)
        * [.fromDeg(deg)](#Angle.fromDeg) ⇒ [<code>Angle</code>](#Angle)
        * [.fromGrad(grad)](#Angle.fromGrad) ⇒ [<code>Angle</code>](#Angle)
        * [.fromTurn(turn)](#Angle.fromTurn) ⇒ [<code>Angle</code>](#Angle)
        * [.fromString(str)](#Angle.fromString) ⇒ [<code>Angle</code>](#Angle)
        * [.from(angle)](#Angle.from) ⇒ [<code>Angle</code>](#Angle)

<a name="Angle+rad"></a>

### angle.rad ⇒ <code>number</code>
获取弧度值

**Kind**: instance property of [<code>Angle</code>](#Angle)  
<a name="Angle+deg"></a>

### angle.deg ⇒ <code>number</code>
获取角度值

**Kind**: instance property of [<code>Angle</code>](#Angle)  
<a name="Angle+grad"></a>

### angle.grad ⇒ <code>number</code>
获取梯度值

**Kind**: instance property of [<code>Angle</code>](#Angle)  
<a name="Angle+turn"></a>

### angle.turn ⇒ <code>number</code>
获取圈/转数

**Kind**: instance property of [<code>Angle</code>](#Angle)  
<a name="Angle+toString"></a>

### angle.toString() ⇒ <code>string</code>
**Kind**: instance method of [<code>Angle</code>](#Angle)  
<a name="Angle+toJSON"></a>

### angle.toJSON() ⇒ <code>string</code>
用于JSON.stringify

**Kind**: instance method of [<code>Angle</code>](#Angle)  
<a name="Angle+valueOf"></a>

### angle.valueOf() ⇒ <code>number</code>
**Kind**: instance method of [<code>Angle</code>](#Angle)  
<a name="Angle+clone"></a>

### angle.clone() ⇒ [<code>Angle</code>](#Angle)
自拷贝

**Kind**: instance method of [<code>Angle</code>](#Angle)  
<a name="Angle.isAngle"></a>

### Angle.isAngle(angle)
判断是否是Angle类型

**Kind**: static method of [<code>Angle</code>](#Angle)  

| Param | Type | Description |
| --- | --- | --- |
| angle | <code>\*</code> | 待判值 |

<a name="Angle.fromRad"></a>

### Angle.fromRad(rad) ⇒ [<code>Angle</code>](#Angle)
通过弧度值生成Angle对象

**Kind**: static method of [<code>Angle</code>](#Angle)  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| rad | <code>number</code> | <code>0</code> | 弧度值 |

<a name="Angle.fromDeg"></a>

### Angle.fromDeg(deg) ⇒ [<code>Angle</code>](#Angle)
通过角度值生成Angle对象

**Kind**: static method of [<code>Angle</code>](#Angle)  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| deg | <code>number</code> | <code>0</code> | 角度值 |

<a name="Angle.fromGrad"></a>

### Angle.fromGrad(grad) ⇒ [<code>Angle</code>](#Angle)
通过梯度值生成Angle对象

**Kind**: static method of [<code>Angle</code>](#Angle)  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| grad | <code>number</code> | <code>0</code> | 梯度值 |

<a name="Angle.fromTurn"></a>

### Angle.fromTurn(turn) ⇒ [<code>Angle</code>](#Angle)
通过圈/转数值生成Angle对象

**Kind**: static method of [<code>Angle</code>](#Angle)  

| Param | Type | Default | Description |
| --- | --- | --- | --- |
| turn | <code>number</code> | <code>0</code> | 圈数/转数值 |

<a name="Angle.fromString"></a>

### Angle.fromString(str) ⇒ [<code>Angle</code>](#Angle)
通过角描述字符串生成Angle对象

**Kind**: static method of [<code>Angle</code>](#Angle)  

| Param | Type | Description |
| --- | --- | --- |
| str | <code>string</code> | 角描述字符串, e.g. 90deg |

<a name="Angle.from"></a>

### Angle.from(angle) ⇒ [<code>Angle</code>](#Angle)
通过角描述字符串生成Angle对象

**Kind**: static method of [<code>Angle</code>](#Angle)  

| Param | Type | Description |
| --- | --- | --- |
| angle | [<code>Angle</code>](#Angle) \| <code>string</code> | Angle实例或角描述字符串, e.g. '90deg' |

